IETF Administrative Support Activity 2.0: Consolidated Updates to IETF Administrative Terminology
RFC 8717
BCP 101
John C Klensin, Ed.
2020-02
General
IASA2
IASA
In 2018, the IETF began the transition to a new administrative structure and updated its IETF Administrative Support Activity (IASA) to a new "IASA 2.0" structure. In addition to more substantive changes that are described in other documents, the transition to the 2018 IETF Administrative Support structure changes several position titles and organizational relationships that are referenced elsewhere. Rather than reissue those referencing documents individually, this specification provides updates to them and deprecates some now-obsolete documents to ensure that there is no confusion due to these changes.
Status of This Memo
This memo documents an Internet Best Current Practice.
This document is a product of the Internet Engineering Task Force (IETF). It represents the consensus of the IETF community. It has received public review and has been approved for publication by the Internet Engineering Steering Group (IESG). Further information on BCPs is available in Section 2 of RFC 7841.
Information about the current status of this document, any errata, and how to provide feedback on it may be obtained at https://www.rfc-editor.org/info/rfc8717.
Copyright Notice
Copyright (c) 2020 IETF Trust and the persons identified as the document authors. All rights reserved.
This document is subject to BCP 78 and the IETF Trust's Legal Provisions Relating to IETF Documents (https://trustee.ietf.org/license-info) in effect on the date of publication of this document. Please review these documents carefully, as they describe your rights and restrictions with respect to this document. Code Components extracted from this document must include Simplified BSD License text as described in Section 4.e of the Trust Legal Provisions and are provided without warranty as described in the Simplified BSD License.
Table of Contents
- 1. Introduction
- 2. Where Appropriate, Replacement of the IETF Executive Director Position with the Managing Director, IETF Secretariat
- 3. Removal of the IETF Executive Director as an Option
- 4. Deprecated Documents
  - 4.1. Documents Whose Context Is Changed by This Specification
  - 4.2. General Description of the IETF Administrative Model
- 5. Security Considerations
- 6. References
  - 6.1. Normative References
  - 6.2. Informative References
- Acknowledgments
- Contributors
- Author's Address
Introduction
In 2018, the IETF began the transition to a new administrative structure, and updated its IETF Administrative Support Activity (IASA) to a new "IASA 2.0" structure [RFC8711]. Key IASA 2.0 changes have been specified in a series of documents, including changes to the IETF Trust [RFC8714], the rationale for it [RFC8715], a new defining document for the IETF Administration LLC [LLC-Agreement] (informally called the "IETF LLC" or just "the LLC" in places in this document and elsewhere), and adjustments to the procedures for nominations and selections for relevant positions [RFC8713].
In addition to more substantive changes that are described in those and other documents, the IASA 2.0 structure changes several position titles and organizational relationships that are referenced in other documents. Rather than reissue those documents individually, this document provides a unified update to them.
This document updates RFCs 2028, 2418, 3005, 3710, 3929, 4633, and 6702 (citations in context below) to make those terminology and related changes. In addition, with the authorization of the IAB, it requests that the Informational RFC 3716 be made Historic (see Section 4). The sections that follow identify the details of the relevant documents and the required changes.
Where Appropriate, Replacement of the IETF Executive Director Position with the Managing Director, IETF Secretariat
Under the IASA 2.0 structure, most of the responsibilities of the former position of IETF Executive Director have been assigned to a new position (or at least title) of Managing Director, IETF Secretariat. An "Executive Director" title is now associated with different, and largely new, responsibilities as an officer of the IETF Administration LLC. These changes are covered in the description of the new structural arrangements [RFC8711].
This document applies that change to the following:
- RFC 2028, "The Organizations Involved in the IETF Standards Process", [RFC2028], Section 3.3.
- RFC 2418, "IETF Working Group Guidelines and Procedures", [RFC2418], Section 1.
- RFC 3710, "An IESG Charter", [RFC3710], Section 2.
- RFC 3929, "Alternative Decision Making Processes for Consensus-Blocked Decisions in the IETF", [RFC3929], Sections 4.1.1 and 4.3 (twice).
- RFC 4633, "Experiment in Long-Term Suspensions From Internet Engineering Task Force (IETF) Mailing Lists", [RFC4633], Section 1.
- RFC 6702, "Promoting Compliance with Intellectual Property Rights (IPR) Disclosure Rules", [RFC6702], Section 5.
Note that the current description of the Internet Standards Process [RFC2026] does not require an update by this document for this purpose because the reference to the IETF Executive Director in RFC 2026 was replaced by a document [RFC3979] that precedes the current effort, and that document was, in turn, obsoleted by RFC 8179.
Removal of the IETF Executive Director as an Option
In a few cases, it is no longer appropriate for either the Managing Director, IETF Secretariat (former IETF Executive Director position) or the new IETF Executive Director (for the LLC) to perform a particular historical function. The relevant documents are updated to remove the IETF Executive Director from the list of people with specific responsibilities or authority. Those documents will not be updated to use "Managing Director, IETF Secretariat" but, instead, the mention of the position will simply be dropped.
This document applies that change to the following:
- RFC 3005, "IETF Discussion List Charter" [RFC3005], section titled "Charter for the IETF Discussion List". This document is modified to remove the authorization for the IETF Executive Director to restrict people from posting, etc.
Deprecated Documents
Documents Whose Context Is Changed by This Specification
Both of the documents that follow were obsoleted in 2017 by RFC 8179, which changed mentions of the IETF Executive Director to point to the IETF Secretariat more generally.
- RFC 3979
- RFC 4879
General Description of the IETF Administrative Model
RFC 3716 was a report of an IAB Advisory Committee that served as a starting point for the work that led to the original IASA structure. That report was an IAB document rather than an IETF one. The IAB approved a proposal to move RFC 3716 to Historic on March 6, 2019 [IAB-3716-Historic].
Security Considerations
The changes specified in this document are matters of terminology and organizational structure derived from documents it references. It should have no effect on Internet security.
References
Normative References
[LLC-Agreement]

Limited Liability Company Agreement of IETF Administration LLC
IETF Administration LLC
28 August 2018
[RFC2028]

The Organizations Involved in the IETF Standards Process
R. Hovey
S. Bradner
October 1996
BCP 11
RFC 2028
DOI 10.17487/RFC2028
[RFC2418]

IETF Working Group Guidelines and Procedures
S. Bradner
September 1998
BCP 25
RFC 2418
DOI 10.17487/RFC2418
[RFC3005]

IETF Discussion List Charter
S. Harris
November 2000
BCP 45
RFC 3005
DOI 10.17487/RFC3005
[RFC3710]

An IESG charter
H. Alvestrand
February 2004
RFC 3710
DOI 10.17487/RFC3710
[RFC6702]

Promoting Compliance with Intellectual Property Rights (IPR) Disclosure Rules
T. Polk
P. Saint-Andre
August 2012
RFC 6702
DOI 10.17487/RFC6702
[RFC8711]

Structure of the IETF Administrative Support Activity, Version 2.0
B. Haberman
J. Hall
J. Livingood
February 2020
BCP 101
RFC 8711
DOI 10.17487/RFC8711
[RFC8713]

IAB, IESG, IETF Trust, and IETF LLC Selection, Confirmation, and Recall Process: Operation of the IETF Nominating and Recall Committees
M. Kucherawy, Ed.
R. Hinden, Ed.
J. Livingood, Ed.
February 2020
BCP 10
RFC 8713
DOI 10.17487/RFC8713
[RFC8714]

Update to the Process for Selection of Trustees for the IETF Trust
J. Arkko
T. Hardie
February 2020
BCP 101
RFC 8714
DOI 10.17487/RFC8714
[RFC8715]

IETF Administrative Support Activity 2.0: Update to the Process for Selection of Trustees for the IETF Trust
J. Arkko
February 2020
RFC 8715
DOI 10.17487/RFC8715
Informative References
[IAB-3716-Historic]

IAB Minutes 2019-03-06
Internet Architecture Board
6 March 2019
[RFC2026]

The Internet Standards Process -- Revision 3
S. Bradner
October 1996
BCP 9
RFC 2026
DOI 10.17487/RFC2026
[RFC3716]

The IETF in the Large: Administration and Execution
IAB Advisory Committee
March 2004
RFC 3716
DOI 10.17487/RFC3716
[RFC3929]

Alternative Decision Making Processes for Consensus-Blocked Decisions in the IETF
T. Hardie
October 2004
RFC 3929
DOI 10.17487/RFC3929
[RFC3979]

Intellectual Property Rights in IETF Technology
S. Bradner, Ed.
March 2005
RFC 3979
DOI 10.17487/RFC3979
[RFC4633]

Experiment in Long-Term Suspensions From Internet Engineering Task Force (IETF) Mailing Lists
S. Hartman
August 2006
RFC 4633
DOI 10.17487/RFC4633
[RFC4879]

Clarification of the Third Party Disclosure Procedure in RFC 3979
T. Narten
April 2007
RFC 4879
DOI 10.17487/RFC4879
[RFC8179]

Intellectual Property Rights in IETF Technology
S. Bradner
J. Contreras
May 2017
BCP 79
RFC 8179
DOI 10.17487/RFC8179
Acknowledgments
Brian Carpenter's careful checking and identification of documents that did, and did not, require consideration was essential to the document in its current form. He also made several other significant contributions. Bob Hinden also gave the document a careful reading and made useful suggestions. In additional to the above, Alissa Cooper, Eliot Lear, Heather Flanagan (the RFC Series Editor), and the current membership to the IAB helped sort out the handing of RFC 3716.
Contributors
Jason Livingood did the hard work of identifying the documents that required updating and supplied considerable text used in this document.
Author's Address
John C Klensin, Ed.
1770 Massachusetts Ave, Ste 322
Cambridge
MA
02140
USA
+1 617 245 1457
john-ietf@jck.com